Index: matplotlib/lib/matplotlib/ticker.py
===================================================================
--- matplotlib/lib/matplotlib/ticker.py	(revision 8701)
+++ matplotlib/lib/matplotlib/ticker.py	(working copy)
@@ -440,12 +440,20 @@
         if ave_loc: # dont want to take log10(0)
             ave_oom = math.floor(math.log10(np.mean(np.absolute(locs))))
             range_oom = math.floor(math.log10(range))
+            common_oom = range_oom      # start at the smallest oom
 
+            tickdiff = np.sum(np.diff(np.trunc(locs * 10**-common_oom)))
+            while tickdiff > 1.0 :
+                common_oom += 1.0
+                tickdiff = np.sum(np.diff(np.trunc(locs * 10**-common_oom)))
+
             if np.absolute(ave_oom-range_oom) >= 3: # four sig-figs
                 if ave_loc < 0:
-                    self.offset = math.ceil(np.max(locs)/10**range_oom)*10**range_oom
+                    #self.offset = math.ceil(np.max(locs)/10**range_oom)*10**range_oom
+                    self.offset = math.ceil(np.max(locs)/10**common_oom)*10**common_oom
                 else:
-                    self.offset = math.floor(np.min(locs)/10**(range_oom))*10**(range_oom)
+                    #self.offset = math.floor(np.min(locs)/10**(range_oom))*10**(range_oom)
+                    self.offset = math.floor(np.min(locs)/10**(common_oom))*10**(common_oom)
             else: self.offset = 0
 
     def _set_orderOfMagnitude(self,range):
